Create integration (WhatsApp Meta Cloud)
curl --request POST \
--url https://api.olie.ai/api/management/integrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "whatsapp_cloud",
"external_ref": "5517999990000",
"config": {},
"credentials": {
"phone_number_id": "123456789012345",
"access_token": "EAAG-exemplo-token",
"app_secret": "meu-app-secret",
"verify_token": "meu-verify-token"
},
"is_active": true
}
'import requests
url = "https://api.olie.ai/api/management/integrations"
payload = {
"type": "whatsapp_cloud",
"external_ref": "5517999990000",
"config": {},
"credentials": {
"phone_number_id": "123456789012345",
"access_token": "EAAG-exemplo-token",
"app_secret": "meu-app-secret",
"verify_token": "meu-verify-token"
},
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'whatsapp_cloud',
external_ref: '5517999990000',
config: {},
credentials: {
phone_number_id: '123456789012345',
access_token: 'EAAG-exemplo-token',
app_secret: 'meu-app-secret',
verify_token: 'meu-verify-token'
},
is_active: true
})
};
fetch('https://api.olie.ai/api/management/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
integrations
Create integration (WhatsApp Meta Cloud)
POST
/
api
/
management
/
integrations
Create integration (WhatsApp Meta Cloud)
Was this page helpful?
⌘I